<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Erecete ServiceType
 * @subpackage Services
 */
class Erecete extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named ereceteSorgula
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteSorgula $parameters
     * @return \StructType\EreceteSorgulaResponse|bool
     */
    public function ereceteSorgula(\StructType\EreceteSorgula $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteSorgula($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteListeSorgu
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteListeSorgu $parameters
     * @return \StructType\EreceteListeSorguResponse|bool
     */
    public function ereceteListeSorgu(\StructType\EreceteListeSorgu $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteListeSorgu($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteGiris
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteGiris $parameters
     * @return \StructType\EreceteGirisResponse|bool
     */
    public function ereceteGiris(\StructType\EreceteGiris $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteGiris($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteSil
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteSil $parameters
     * @return \StructType\EreceteSilResponse|bool
     */
    public function ereceteSil(\StructType\EreceteSil $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteSil($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteEhuOnayi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteEhuOnayi $parameters
     * @return \StructType\EreceteEhuOnayiResponse|bool
     */
    public function ereceteEhuOnayi(\StructType\EreceteEhuOnayi $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteEhuOnayi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteEhuOnayiIptal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteEhuOnayiIptal $parameters
     * @return \StructType\EreceteEhuOnayiIptalResponse|bool
     */
    public function ereceteEhuOnayiIptal(\StructType\EreceteEhuOnayiIptal $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteEhuOnayiIptal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteYatanHastaOnayi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteYatanHastaOnayi $parameters
     * @return \StructType\EreceteYatanHastaOnayiResponse|bool
     */
    public function ereceteYatanHastaOnayi(\StructType\EreceteYatanHastaOnayi $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteYatanHastaOnayi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteYatanHastaOnayiIptal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteYatanHastaOnayiIptal $parameters
     * @return \StructType\EreceteYatanHastaOnayiIptalResponse|bool
     */
    public function ereceteYatanHastaOnayiIptal(\StructType\EreceteYatanHastaOnayiIptal $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteYatanHastaOnayiIptal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteOnay
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteOnay $parameters
     * @return \StructType\EreceteOnayResponse|bool
     */
    public function ereceteOnay(\StructType\EreceteOnay $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteOnay($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteOnayIptal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteOnayIptal $parameters
     * @return \StructType\EreceteOnayIptalResponse|bool
     */
    public function ereceteOnayIptal(\StructType\EreceteOnayIptal $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteOnayIptal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteTaniEkle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteTaniEkle $parameters
     * @return \StructType\EreceteTaniEkleResponse|bool
     */
    public function ereceteTaniEkle(\StructType\EreceteTaniEkle $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteTaniEkle($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteAciklamaEkle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteAciklamaEkle $parameters
     * @return \StructType\EreceteAciklamaEkleResponse|bool
     */
    public function ereceteAciklamaEkle(\StructType\EreceteAciklamaEkle $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteAciklamaEkle($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ereceteIlacAciklamaEkle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EreceteIlacAciklamaEkle $parameters
     * @return \StructType\EreceteIlacAciklamaEkleResponse|bool
     */
    public function ereceteIlacAciklamaEkle(\StructType\EreceteIlacAciklamaEkle $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->ereceteIlacAciklamaEkle($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\EreceteAciklamaEkleResponse|\StructType\EreceteEhuOnayiIptalResponse|\StructType\EreceteEhuOnayiResponse|\StructType\EreceteGirisResponse|\StructType\EreceteIlacAciklamaEkleResponse|\StructType\EreceteListeSorguResponse|\StructType\EreceteOnayIptalResponse|\StructType\EreceteOnayResponse|\StructType\EreceteSilResponse|\StructType\EreceteSorgulaResponse|\StructType\EreceteTaniEkleResponse|\StructType\EreceteYatanHastaOnayiIptalResponse|\StructType\EreceteYatanHastaOnayiResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
