<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kisiDVO StructType
 * @subpackage Structs
 */
class KisiDVO extends AbstractStructBase
{
    /**
     * The adi
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $adi;
    /**
     * The cinsiyeti
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cinsiyeti;
    /**
     * The dogumTarihi
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dogumTarihi;
    /**
     * The soyadi
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $soyadi;
    /**
     * The tcKimlikNo
     * @var int
     */
    public $tcKimlikNo;
    /**
     * Constructor method for kisiDVO
     * @uses KisiDVO::setAdi()
     * @uses KisiDVO::setCinsiyeti()
     * @uses KisiDVO::setDogumTarihi()
     * @uses KisiDVO::setSoyadi()
     * @uses KisiDVO::setTcKimlikNo()
     * @param string $adi
     * @param string $cinsiyeti
     * @param string $dogumTarihi
     * @param string $soyadi
     * @param int $tcKimlikNo
     */
    public function __construct($adi = null, $cinsiyeti = null, $dogumTarihi = null, $soyadi = null, $tcKimlikNo = null)
    {
        $this
            ->setAdi($adi)
            ->setCinsiyeti($cinsiyeti)
            ->setDogumTarihi($dogumTarihi)
            ->setSoyadi($soyadi)
            ->setTcKimlikNo($tcKimlikNo);
    }
    /**
     * Get adi value
     * @return string|null
     */
    public function getAdi()
    {
        return $this->adi;
    }
    /**
     * Set adi value
     * @param string $adi
     * @return \StructType\KisiDVO
     */
    public function setAdi($adi = null)
    {
        // validation for constraint: string
        if (!is_null($adi) && !is_string($adi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($adi)), __LINE__);
        }
        $this->adi = $adi;
        return $this;
    }
    /**
     * Get cinsiyeti value
     * @return string|null
     */
    public function getCinsiyeti()
    {
        return $this->cinsiyeti;
    }
    /**
     * Set cinsiyeti value
     * @param string $cinsiyeti
     * @return \StructType\KisiDVO
     */
    public function setCinsiyeti($cinsiyeti = null)
    {
        // validation for constraint: string
        if (!is_null($cinsiyeti) && !is_string($cinsiyeti)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cinsiyeti)), __LINE__);
        }
        $this->cinsiyeti = $cinsiyeti;
        return $this;
    }
    /**
     * Get dogumTarihi value
     * @return string|null
     */
    public function getDogumTarihi()
    {
        return $this->dogumTarihi;
    }
    /**
     * Set dogumTarihi value
     * @param string $dogumTarihi
     * @return \StructType\KisiDVO
     */
    public function setDogumTarihi($dogumTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($dogumTarihi) && !is_string($dogumTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dogumTarihi)), __LINE__);
        }
        $this->dogumTarihi = $dogumTarihi;
        return $this;
    }
    /**
     * Get soyadi value
     * @return string|null
     */
    public function getSoyadi()
    {
        return $this->soyadi;
    }
    /**
     * Set soyadi value
     * @param string $soyadi
     * @return \StructType\KisiDVO
     */
    public function setSoyadi($soyadi = null)
    {
        // validation for constraint: string
        if (!is_null($soyadi) && !is_string($soyadi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($soyadi)), __LINE__);
        }
        $this->soyadi = $soyadi;
        return $this;
    }
    /**
     * Get tcKimlikNo value
     * @return int|null
     */
    public function getTcKimlikNo()
    {
        return $this->tcKimlikNo;
    }
    /**
     * Set tcKimlikNo value
     * @param int $tcKimlikNo
     * @return \StructType\KisiDVO
     */
    public function setTcKimlikNo($tcKimlikNo = null)
    {
        // validation for constraint: int
        if (!is_null($tcKimlikNo) && !is_numeric($tcKimlikNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($tcKimlikNo)), __LINE__);
        }
        $this->tcKimlikNo = $tcKimlikNo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KisiDVO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
